<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.AutoM.collect.Ore</name>
<version>5</version>
<engineversion>25</engineversion>
<description>Collect ore after mining</description>
<arguments>
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Automining&#160;v2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>Rewrite&#160;in&#160;progres</var></comment></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var>Set&#160;Variables</var></comment></line>
<line linenr="007" interruptable="@" indent=""><var>$scanner.range&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>lib.Xai.find</call><text>&#160;:&#160;</text><text>&#160;CMD=</text><var>'scanner.range'</var><text>&#160;</text><text>&#160;Arg1=</text><var>[THIS]</var><text>&#160;</text><text>&#160;Arg2=</text><var>null</var><text>&#160;</text><text>&#160;Arg3=</text><var>null</var><text>&#160;</text><text>&#160;Arg4=</text><var>null</var></line>
<line linenr="008" indent=""><var>skip&#160;if&#160;</var><var>$scanner.range</var></line>
<line linenr="009" indent="&#160;"><var>$scanner.range&#160;=&#160;</var><var>20000</var></line>
<line linenr="010" indent=""><var>$vol.ore.collected&#160;=&#160;</var><var>0</var></line>
<line linenr="011" indent=""><var>$vol.sil.collected&#160;=&#160;</var><var>0</var></line>
<line linenr="012" indent=""><var>$vol.nvd.collected&#160;=&#160;</var><var>0</var></line>
<line linenr="013" indent=""></line>
<line linenr="014" indent=""><comment><text>*&#160;</text><var>Pre-flight&#160;&#160;checks</var></comment></line>
<line linenr="015" indent=""><var>if&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Ore&#160;Collector</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="016" indent=""><comment><text>*&#160;</text><var>Launch&#160;if&#160;necessary</var></comment></line>
<line linenr="017" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>[DOCKEDAT]</var></line>
<line linenr="018" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>!move.undock</call><text>&#160;:&#160;</text></line>
<line linenr="019" indent="&#160;"></line>
<line linenr="020" indent=""><comment><text>*&#160;</text><var>-------------------------</var></comment></line>
<line linenr="021" indent=""><comment><text>*&#160;</text><var>collect&#160;&#160;asteroid&#160;fragments</var></comment></line>
<line linenr="022" indent=""><comment><text>*&#160;</text><var>-------------------------</var></comment></line>
<line linenr="023" indent="&#160;"><var>$collected&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>3</var></line>
<line linenr="024" indent="&#160;"><var>while&#160;</var><text>&#160;find&#160;flying&#160;ware:&#160;sector=</text><var>[SECTOR]</var><text>&#160;maintype=</text><var>20</var><text>&#160;subtype=</text><var>null</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>$scanner.range</var><text>&#160;maxnum=</text><var>1</var><text>,&#160;refpos=</text><var>null</var></line>
<line linenr="025" indent="&#160;&#160;"></line>
<line linenr="026" indent=""><comment><text>*&#160;</text><var>Stop&#160;if&#160;enemy&#160;detected</var></comment></line>
<line linenr="027" indent="&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>[SECTOR]</var><text>&#160;class&#160;or&#160;type=</text><var>null</var><text>&#160;race=</text><var>null</var><text>&#160;flags=</text><var>[Find.Enemy]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>$scanner.range</var><text>&#160;maxnum=</text><var>1</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="028" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="029" indent="&#160;&#160;"></line>
<line linenr="030" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;stop&#160;if&#160;cargobay&#160;full</var></comment></line>
<line linenr="031" indent="&#160;&#160;"><var>$Cargobay&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;free&#160;volume&#160;of&#160;cargo&#160;bay</text></line>
<line linenr="032" indent="&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Cargobay</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>5</var></line>
<line linenr="033" indent="&#160;&#160;&#160;"><text>break</text></line>
<line linenr="034" indent="&#160;&#160;"></line>
<line linenr="035" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;move&#160;to&#160;collect&#160;fragment</var></comment></line>
<line linenr="036" indent="&#160;&#160;"><var>$TargetWare&#160;=&#160;</var><text>&#160;find&#160;flying&#160;ware:&#160;sector=</text><var>[SECTOR]</var><text>&#160;maintype=</text><var>20</var><text>&#160;subtype=</text><var>null</var><text>&#160;flags=</text><var>[Find.Nearest]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>$scanner.range</var><text>&#160;maxnum=</text><var>1</var><text>,&#160;refpos=</text><var>null</var></line>
<line linenr="037" indent="&#160;&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;destination&#160;to&#160;</text><var>$TargetWare</var></line>
<line linenr="038" indent="&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$TargetWare&#160;-&gt;</var><text>&#160;exists</text></line>
<line linenr="039" interruptable="@" indent="&#160;&#160;&#160;"><var>$can.catch&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;move&#160;to&#160;ware&#160;object&#160;</text><var>$TargetWare</var><text>&#160;for&#160;collecting:&#160;timeout=</text><var>300000</var><text>&#160;ms</text></line>
<line linenr="040" indent="&#160;&#160;"></line>
<line linenr="041" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;&#160;collect&#160;fragment&#160;if&#160;we&#160;are&#160;in&#160;range</var></comment></line>
<line linenr="042" indent=""><comment>*$dist&#160;=&#160;<text>get&#160;distance&#160;between&#160;</text>[THIS]<text>&#160;and&#160;</text>$TargetWare</comment></line>
<line linenr="043" indent=""><comment>*if&#160;$dist&#160;&lt;&#160;500</comment></line>
<line linenr="044" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$can.catch</var><text>&#160;</text><var>==</var><text>&#160;</text><var>FLRET_FIREFREE</var></line>
<line linenr="045" indent="&#160;&#160;&#160;&#160;"><var>$vol.ore&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Ore</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="046" indent="&#160;&#160;&#160;&#160;"><var>$vol.sil&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Silicon&#160;Wafers</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="047" indent="&#160;&#160;&#160;&#160;"><var>$vol.nvd&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Nividium</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="048" indent="&#160;&#160;&#160;&#160;"><var>=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;catch&#160;ware&#160;object&#160;</text><var>$TargetWare</var></line>
<line linenr="049" indent="&#160;&#160;&#160;&#160;"><var>$vol.ore.after&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Ore</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="050" indent="&#160;&#160;&#160;&#160;"><var>$vol.sil.after&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Silicon&#160;Wafers</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="051" indent="&#160;&#160;&#160;&#160;"><var>$vol.nvd.after&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>Nividium</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="052" indent="&#160;&#160;&#160;&#160;"></line>
<line linenr="053" indent="&#160;&#160;&#160;&#160;"><var>$vol.ore.collected&#160;=&#160;</var><var>$vol.ore.collected</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$vol.ore.after</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$vol.ore</var></line>
<line linenr="054" indent="&#160;&#160;&#160;&#160;"><var>$vol.sil.collected&#160;=&#160;</var><var>$vol.sil.collected</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$vol.sil.after</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$vol.sil</var></line>
<line linenr="055" indent="&#160;&#160;&#160;&#160;"><var>$vol.nvd.collected&#160;=&#160;</var><var>$vol.nvd.collected</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$vol.nvd.after</var><text>&#160;</text><var>-</var><text>&#160;</text><var>$vol.nvd</var></line>
<line linenr="056" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="057" indent="&#160;&#160;&#160;"></line>
<line linenr="058" indent="&#160;&#160;"><text>end</text></line>
<line linenr="059" indent="&#160;&#160;"></line>
<line linenr="060" indent="&#160;"><text>end</text></line>
<line linenr="061" indent="&#160;"></line>
<line linenr="062" indent=""><comment><text>*&#160;</text><var>build&#160;array&#160;to&#160;be&#160;returned</var></comment></line>
<line linenr="063" indent="&#160;"><var>$collected</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$vol.ore.collected</var></line>
<line linenr="064" indent="&#160;"><var>$collected</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$vol.sil.collected</var></line>
<line linenr="065" indent="&#160;"><var>$collected</var><text>[</text><var>2</var><text>]&#160;=&#160;</text><var>$vol.nvd.collected</var></line>
<line linenr="066" indent="&#160;"><text>return&#160;</text><var>$collected</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.AutoM.collect.Ore" /><sval type="int" val="25" /><sval type="string" val="Collect ore after mining" /><sval type="int" val="5" /><sval type="int" val="0" /><sval type="array" size="14"><sval type="string" val="scanner.range" /><sval type="string" val="vol.ore.collected" /><sval type="string" val="vol.sil.collected" /><sval type="string" val="vol.nvd.collected" /><sval type="string" val="collected" /><sval type="string" val="Cargobay" /><sval type="string" val="TargetWare" /><sval type="string" val="can.catch" /><sval type="string" val="vol.ore" /><sval type="string" val="vol.sil" /><sval type="string" val="vol.nvd" /><sval type="string" val="vol.ore.after" /><sval type="string" val="vol.sil.after" /><sval type="string" val="vol.nvd.after" /></sval><sval type="array" size="36"><sval type="array" size="16"><sval type="int" val="102" /><sval type="string" val="lib.Xai.find" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="int" val="5" /><sval type="string" val="scanner.range" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536870137" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="20000" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-1610604541" /><sval type="int" val="9" /><sval type="int" val="1048621" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610610424" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65547" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="!move.undock" /><sval type="int" val="-2147483647" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="3" /></sval><sval type="array" size="18"><sval type="int" val="766" /><sval type="int" val="-1610604535" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="4" /><sval type="int" val="20" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="-1610609400" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="108" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="32" /></sval><sval type="array" size="4"><sval type="int" val="612" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-536866809" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="2" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="32" /></sval><sval type="array" size="18"><sval type="int" val="766" /><sval type="int" val="6" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="4" /><sval type="int" val="20" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="106" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="519" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="4"><sval type="int" val="706" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="-1610607608" /></sval><sval type="array" size="8"><sval type="int" val="540" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="300000" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604797" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="19" /><sval type="int" val="9" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="8" /><sval type="int" val="9" /><sval type="int" val="983040" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="9" /><sval type="int" val="9" /><sval type="int" val="983041" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="10" /><sval type="int" val="9" /><sval type="int" val="983042" /></sval><sval type="array" size="6"><sval type="int" val="541" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="-2147483647" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="11" /><sval type="int" val="9" /><sval type="int" val="983040" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="12" /><sval type="int" val="9" /><sval type="int" val="983041" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="13" /><sval type="int" val="9" /><sval type="int" val="983042" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="12" /><sval type="int" val="-4" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="2" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="12" /><sval type="int" val="-4" /></sval><sval type="array" size="19"><sval type="int" val="104" /><sval type="int" val="3" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="12" /><sval type="int" val="5" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /><sval type="int" val="12" /><sval type="int" val="-4" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /><sval type="array" size="33"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Automining v2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Rewrite in progres" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Set Variables" /></sval><sval type="array" size="2"><sval type="int" val="6" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="6" /><sval type="int" val="1" /><sval type="string" val="Pre-flight  checks" /></sval><sval type="array" size="3"><sval type="int" val="7" /><sval type="int" val="1" /><sval type="string" val="Launch if necessary" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="9" /><sval type="int" val="1" /><sval type="string" val="-------------------------" /></sval><sval type="array" size="3"><sval type="int" val="9" /><sval type="int" val="1" /><sval type="string" val="collect  asteroid fragments" /></sval><sval type="array" size="3"><sval type="int" val="9" /><sval type="int" val="1" /><sval type="string" val="-------------------------" /></sval><sval type="array" size="2"><sval type="int" val="11" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="11" /><sval type="int" val="1" /><sval type="string" val="Stop if enemy detected" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="13" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="13" /><sval type="int" val="1" /><sval type="string" val=" - stop if cargobay full" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="16" /><sval type="int" val="1" /><sval type="string" val=" - move to collect fragment" /></sval><sval type="array" size="2"><sval type="int" val="20" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="20" /><sval type="int" val="1" /><sval type="string" val=" -  collect fragment if we are in range" /></sval><sval type="array" size="8"><sval type="int" val="20" /><sval type="int" val="3" /><sval type="int" val="738" /><sval type="string" val="dist" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="string" val="TargetWare" /></sval><sval type="array" size="11"><sval type="int" val="20" /><sval type="int" val="3" /><sval type="int" val="104" /><sval type="int" val="-1610612733" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="string" val="dist" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="4" /><sval type="int" val="500" /></sval><sval type="array" size="2"><sval type="int" val="28" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="31" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val="build array to be returned" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
